> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Upsert Product Store



## OpenAPI

````yaml https://clientapi.retailgrid.io/openapi.json post /v1/product_store/bulk
openapi: 3.1.0
info:
  title: Retailgrid Public API
  version: v1
servers: []
security: []
paths:
  /v1/product_store/bulk:
    post:
      tags:
        - product_store
      summary: Bulk Upsert Product Store
      operationId: bulk_upsert_product_store_v1_product_store_bulk_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProductStoreBulkRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ProductStoreBulkRequest:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ProductStoreBulkItem'
          type: array
          title: Items
      additionalProperties: false
      type: object
      title: ProductStoreBulkRequest
    BulkResponse:
      properties:
        results:
          items:
            oneOf:
              - $ref: '#/components/schemas/BulkItemSuccess'
              - $ref: '#/components/schemas/BulkItemError'
            discriminator:
              propertyName: ok
              mapping:
                'False':
                  $ref: '#/components/schemas/BulkItemError'
                'True':
                  $ref: '#/components/schemas/BulkItemSuccess'
          type: array
          title: Results
      additionalProperties: false
      type: object
      title: BulkResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProductStoreBulkItem:
      properties:
        store_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Store Name
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Country Code
        regular_price:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Regular Price
        unit_cost:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Unit Cost
        stock_on_hand:
          anyOf:
            - type: integer
            - type: 'null'
          title: Stock On Hand
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        tax_rate:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Tax Rate
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        price_effective_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Price Effective Date
        item_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Item Id
        sku:
          anyOf:
            - type: string
            - type: 'null'
          title: Sku
        store_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Store Id
        current_price:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Current Price
      additionalProperties: false
      type: object
      title: ProductStoreBulkItem
    BulkItemSuccess:
      properties:
        index:
          type: integer
          title: Index
        ok:
          type: boolean
          const: true
          title: Ok
        id:
          anyOf:
            - type: string
              format: uuid
            - type: integer
          title: Id
      additionalProperties: false
      type: object
      required:
        - index
        - ok
        - id
      title: BulkItemSuccess
    BulkItemError:
      properties:
        index:
          type: integer
          title: Index
        ok:
          type: boolean
          const: false
          title: Ok
        code:
          type: string
          enum:
            - validation_error
            - conflict
          title: Code
        message:
          type: string
          title: Message
      additionalProperties: false
      type: object
      required:
        - index
        - ok
        - code
        - message
      title: BulkItemError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````